Execute an Action

Execute an Action against this Dispute

Recipes
💳
Generate message signature (v2)
Open Recipe
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📘

Execute an action

How execute an action works in practice:

  1. Search for disputes
  2. Retrieve a single dispute by ID
  3. Make note of the tcn value and the id for the dispute. You will need these both later
  4. Look through the events array to see which events have allowedActions
  5. Make a note of the code in the action you wish to perform. This code is required when using the Execute an Action endpoint
  6. Decide on the action you wish to perform and using the required data fields against that action create and send your Execute an Action endpoint request including the tcn and code you found earlier
# Execute an action request with some allowedActions referenced from single dispute response
curl --location --request POST '/disputes/{disputeId}/events/{eventId}/actions' \
--header 'Api-Key: ' \
--header 'Content-Type: multipart/form-data' \
--form 'code="086"' \
--form 'tcn="2345678"' \
--form 'evidence=@"evidence1.pdf"' \


# Execute an action request with many allowedActions referenced from a single dispute response
curl --location --request POST '/disputes/{disputeId}/events/{eventId}/actions' \
--header 'Api-Key: ' \
--header 'Content-Type: multipart/form-data' \
--form 'code="086"' \
--form 'tcn="2345678"' \
--form 'evidence=@"evidence1.pdf"' \
--form 'name="Ros Bennis"' \
--form 'address1="123 API Street"' \
--form 'address2="ABC Lane"' \
--form 'city="Oxford"' \
--form 'postalCode="GL4 8DL"' \
--form 'state="OX"' \
--form 'shippingCompanyName="Royal Mail"' \
--form 'trackingNumber="12345678"'
Path Params
string
required
length between 19000101000000 and 99991231999999

Unique case identifier assigned to the dispute

string
required

Unique identifier assigned to the incoming dispute Event i.e. Transaction or Document Event.

Body Params

"code" and "tcn" fields describing the action to be taken should be provided. In addition to these fields, the required data fields based on the kind of action requested also needs to be provided. To get list of required data fields for the respective allowed action, use "GET Disputes by Id" endpoint for the particular disputeId (in API response, refer data in events-->allowedActions-->requiredDataFields object).

string
required

Code representing the action that is to be performed

string
required

Transaction Control Number (used to control concurrent actions and avoid change clashes)

Headers
string
length between 8 and 8

Institution number (8-digit number) associated with the merchant. This information defines the acquirer for the merchant. If a consumer is granted access to this API for multiple institutions, this field must be populated. If access is for only one institution, the API will automatically determine this value, making it optional for the client.

string
required

Optional security header. Used to ensure the request has not been tampered with during transmission. The Message-Signature is the Base64 encoded HMAC hash (SHA256 algorithm with the API Secret as the key.) For more information, refer to the supporting documentation on the Developer Portal.

Responses
204

OK

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
Want a quick overview?